# Enum Class SHTMLEditorPane.PasteMode

java.lang.Object
java.lang.Enum<SHTMLEditorPane.PasteMode>
com.lightdev.app.shtm.SHTMLEditorPane.PasteMode

All Implemented Interfaces:
  `Serializable, Comparable<SHTMLEditorPane.PasteMode>, Constable`

Enclosing class:
  `SHTMLEditorPane`

public static enum SHTMLEditorPane.PasteMode extends Enum<SHTMLEditorPane.PasteMode>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PASTE_HTML`
`PASTE_PLAIN_TEXT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
`SHTMLEditorPane.PasteMode`
`invert()`
`static SHTMLEditorPane.PasteMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SHTMLEditorPane.PasteMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PASTE_HTML

public static final SHTMLEditorPane.PasteMode PASTE_HTML

### PASTE_PLAIN_TEXT

public static final SHTMLEditorPane.PasteMode PASTE_PLAIN_TEXT

## Method Details

### values

public static SHTMLEditorPane.PasteMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SHTMLEditorPane.PasteMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDisplayName

public String getDisplayName()

### invert

public SHTMLEditorPane.PasteMode invert()